# Uses of Class
com.ngrok.definitions.EndpointSaml

Packages that use EndpointSaml
Package
Description
com.ngrok.definitions
com.ngrok.services

- ## Uses of EndpointSaml in com.ngrok.definitions

  Methods in com.ngrok.definitions that return types with arguments of type EndpointSaml
  Modifier and Type
  Method
  Description
  `Optional<EndpointSaml>`
  HttpsEdgeRoute.`getSaml()`
  saml module configuration or `null`

- ## Uses of EndpointSaml in com.ngrok.services

  Methods in com.ngrok.services that return EndpointSaml
  Modifier and Type
  Method
  Description
  `EndpointSaml`
  EdgeRouteSamlModule.GetCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `EndpointSaml`
  EdgeRouteSamlModule.ReplaceCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  Methods in com.ngrok.services that return types with arguments of type EndpointSaml
  Modifier and Type
  Method
  Description
  `CompletionStage<EndpointSaml>`
  EdgeRouteSamlModule.GetCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<EndpointSaml>`
  EdgeRouteSamlModule.ReplaceCallBuilder.`call()`
  Initiates the API call asynchronously.